Package io.dapr.v1

# Enum CommonProtos.HTTPExtension.Verb

java.lang.Object
java.lang.Enum<CommonProtos.HTTPExtension.Verb>
io.dapr.v1.CommonProtos.HTTPExtension.Verb

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<CommonProtos.HTTPExtension.Verb>`

Enclosing class:
  CommonProtos.HTTPExtension

public static enum CommonProtos.HTTPExtension.Verb extends Enum<CommonProtos.HTTPExtension.Verb> implements com.google.protobuf.ProtocolMessageEnum

     Type of HTTP 1.1 Methods
     RFC 7231: https://tools.ietf.org/html/rfc7231#page-24
     RFC 5789: https://datatracker.ietf.org/doc/html/rfc5789

Protobuf enum `dapr.proto.common.v1.HTTPExtension.Verb`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECT`
`CONNECT = 6;`
`DELETE`
`DELETE = 5;`
`GET`
`GET = 1;`
`HEAD`
`HEAD = 2;`
`NONE`
`NONE = 0;`
`OPTIONS`
`OPTIONS = 7;`
`PATCH`
`PATCH = 9;`
`POST`
`POST = 3;`
`PUT`
`PUT = 4;`
`TRACE`
`TRACE = 8;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONNECT_VALUE`
`CONNECT = 6;`
`static final int`
`DELETE_VALUE`
`DELETE = 5;`
`static final int`
`GET_VALUE`
`GET = 1;`
`static final int`
`HEAD_VALUE`
`HEAD = 2;`
`static final int`
`NONE_VALUE`
`NONE = 0;`
`static final int`
`OPTIONS_VALUE`
`OPTIONS = 7;`
`static final int`
`PATCH_VALUE`
`PATCH = 9;`
`static final int`
`POST_VALUE`
`POST = 3;`
`static final int`
`PUT_VALUE`
`PUT = 4;`
`static final int`
`TRACE_VALUE`
`TRACE = 8;`

## Method Summary

Modifier and Type
Method
Description
`static CommonProtos.HTTPExtension.Verb`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.HTTPExtension.Verb>`
`internalGetValueMap()`
`static CommonProtos.HTTPExtension.Verb`
`valueOf(int value)`
Deprecated.
`static CommonProtos.HTTPExtension.Verb`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.HTTPExtension.Verb`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.HTTPExtension.Verb[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CommonProtos.HTTPExtension.Verb NONE
`NONE = 0;`

### GET

public static final CommonProtos.HTTPExtension.Verb GET
`GET = 1;`

### HEAD

public static final CommonProtos.HTTPExtension.Verb HEAD
`HEAD = 2;`

### POST

public static final CommonProtos.HTTPExtension.Verb POST
`POST = 3;`

### PUT

public static final CommonProtos.HTTPExtension.Verb PUT
`PUT = 4;`

### DELETE

public static final CommonProtos.HTTPExtension.Verb DELETE
`DELETE = 5;`

### CONNECT

public static final CommonProtos.HTTPExtension.Verb CONNECT
`CONNECT = 6;`

### OPTIONS

public static final CommonProtos.HTTPExtension.Verb OPTIONS
`OPTIONS = 7;`

### TRACE

public static final CommonProtos.HTTPExtension.Verb TRACE
`TRACE = 8;`

### PATCH

public static final CommonProtos.HTTPExtension.Verb PATCH
`PATCH = 9;`

### UNRECOGNIZED

public static final CommonProtos.HTTPExtension.Verb UNRECOGNIZED

## Field Details

### NONE_VALUE

public static final int NONE_VALUE
`NONE = 0;`

See Also:
  - Constant Field Values

### GET_VALUE

public static final int GET_VALUE
`GET = 1;`

See Also:
  - Constant Field Values

### HEAD_VALUE

public static final int HEAD_VALUE
`HEAD = 2;`

See Also:
  - Constant Field Values

### POST_VALUE

public static final int POST_VALUE
`POST = 3;`

See Also:
  - Constant Field Values

### PUT_VALUE

public static final int PUT_VALUE
`PUT = 4;`

See Also:
  - Constant Field Values

### DELETE_VALUE

public static final int DELETE_VALUE
`DELETE = 5;`

See Also:
  - Constant Field Values

### CONNECT_VALUE

public static final int CONNECT_VALUE
`CONNECT = 6;`

See Also:
  - Constant Field Values

### OPTIONS_VALUE

public static final int OPTIONS_VALUE
`OPTIONS = 7;`

See Also:
  - Constant Field Values

### TRACE_VALUE

public static final int TRACE_VALUE
`TRACE = 8;`

See Also:
  - Constant Field Values

### PATCH_VALUE

public static final int PATCH_VALUE
`PATCH = 9;`

See Also:
  - Constant Field Values

## Method Details

### values

public static CommonProtos.HTTPExtension.Verb[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CommonProtos.HTTPExtension.Verb valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static CommonProtos.HTTPExtension.Verb valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static CommonProtos.HTTPExtension.Verb forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.HTTPExtension.Verb> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static CommonProtos.HTTPExtension.Verb valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null